Loading...
Searching...
No Matches
osmo_ss7_linkset Struct Reference

`#include <osmo_ss7.h>`

## Data Fields

struct llist_head | list
struct osmo_ss7_instance * | inst
| osmo_ss7_instance to which we belong
struct osmo_ss7_link * | links [16]
| array of osmo_ss7_link
struct { |
char * name |
char * description |
uint32_t adjacent_pc |
uint32_t local_pc |
} | cfg |

## Field Documentation

## adjacent_pc

uint32_t osmo_ss7_linkset::adjacent_pc

Referenced by osmo_ss7_linkset_find_or_create().

## [struct]

struct { ... } osmo_ss7_linkset::cfg

Referenced by gen_mtp_transfer_req_xua(), osmo_ss7_link_destroy(), osmo_ss7_link_find_or_create(), osmo_ss7_linkset_destroy(), osmo_ss7_linkset_find_by_name(), osmo_ss7_linkset_find_or_create(), osmo_ss7_route_create(), and osmo_ss7_route_name().

## description

char* osmo_ss7_linkset::description

## inst

struct osmo_ss7_instance* osmo_ss7_linkset::inst

osmo_ss7_instance to which we belong

Referenced by osmo_ss7_link_destroy(), osmo_ss7_link_find_or_create(), osmo_ss7_linkset_destroy(), osmo_ss7_linkset_find_by_name(), and osmo_ss7_linkset_find_or_create().

## links

struct osmo_ss7_link* osmo_ss7_linkset::links[16]

array of osmo_ss7_link

Referenced by osmo_ss7_link_destroy(), osmo_ss7_link_find_or_create(), and osmo_ss7_linkset_destroy().

## list

struct llist_head osmo_ss7_linkset::list

Referenced by osmo_ss7_linkset_destroy(), osmo_ss7_linkset_find_by_name(), and osmo_ss7_linkset_find_or_create().

## local_pc

uint32_t osmo_ss7_linkset::local_pc

## name

char* osmo_ss7_linkset::name

Referenced by gen_mtp_transfer_req_xua(), osmo_ss7_link_destroy(), osmo_ss7_link_find_or_create(), osmo_ss7_linkset_destroy(), osmo_ss7_linkset_find_by_name(), osmo_ss7_linkset_find_or_create(), osmo_ss7_route_create(), and osmo_ss7_route_name().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/osmo_ss7.h